import Bundler from "../interfaces/Bundler";
export default abstract class Config<T> {
    protected options: T;
    protected bundler: Bundler;
    constructor(bundler: Bundler, options?: T);
    abstract register(): void;
}
