"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var Loader_1 = __importDefault(require("./Loader"));
var Javascript = (function (_super) {
    __extends(Javascript, _super);
    function Javascript() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Javascript.prototype.register = function () {
        this.bundler.webpackChain.module
            .rule("js")
            .exclude.add(function (filepath) {
            if (/\.vue\.jsx?$/.test(filepath)) {
                return false;
            }
            return /node_modules/.test(filepath);
        })
            .end()
            .test(/\.jsx?$/)
            .use("thread-loader")
            .loader("thread-loader")
            .end()
            .use("babel-loader")
            .loader(path_1.default.join(__dirname, "BabelLoader"))
            .options({
            entryFiles: this.options.entryFiles,
        })
            .end();
    };
    return Javascript;
}(Loader_1.default));
exports.default = Javascript;
//# sourceMappingURL=Javascript.js.map