"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Loader_1 = __importDefault(require("./Loader"));
var vue_loader_1 = require("vue-loader");
var Vue = (function (_super) {
    __extends(Vue, _super);
    function Vue() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Vue.prototype.register = function () {
        this.bundler.webpackChain.module
            .noParse(/^(vue|vue-router|vuex)$/)
            .rule("vue")
            .test(/\.vue$/)
            .use("vue-loader")
            .loader("vue-loader");
        var alias = "vue/dist/vue.esm.js";
        if (this.options.runtimeOnly) {
            alias = "vue/dist/vue.runtime.esm.js";
        }
        this.bundler.webpackChain.resolve.alias.set("vue$", alias);
        this.bundler.webpackChain.plugin("vue").use(vue_loader_1.VueLoaderPlugin);
    };
    return Vue;
}(Loader_1.default));
exports.default = Vue;
//# sourceMappingURL=Vue.js.map